Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1707769 - Associate vms not working for google compute resource
Summary: Associate vms not working for google compute resource
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - GCE
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: 6.6.0
Assignee: Kavita
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On: 1724064
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-08 10:20 UTC by Kavita
Modified: 2019-10-23 14:43 UTC (History)
2 users (show)

Fixed In Version: foreman-1.22.0.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:47:19 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 26761 0 None None None 2019-05-08 10:20:10 UTC

Description Kavita 2019-05-08 10:20:09 UTC

Comment 1 Kavita 2019-05-08 10:20:12 UTC
Created from redmine issue https://projects.theforeman.org/issues/26761

Comment 2 Kavita 2019-05-08 10:20:16 UTC
Upstream bug assigned to kgaikwad

Comment 4 Bryan Kearney 2019-06-27 10:03:17 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26761 has been resolved.

Comment 7 Jitendra Yejare 2019-07-09 10:06:56 UTC
Verified!

@ Satellite 6.6 snap 10


Steps:
------------
1. Associate / Disassoicate / Import VM from GCE.


Observation:
-------------------


1. Deleting Associated VM deletes the VM from GCE.

2. Deleting Disassociated VM does not delete the VM from GCE.

3. Importing VM as managed host also associates VM to host profile.

4. Buttons:

        Disassociate Host: Displays for the associated host.
        Associate Host: Displays for the disassociated host.
        Unmanaged Host: Displays for the managed host.
        Managed Host: Displays for the unmanaged host.

5. The managed Hosts VM gets deleted from GCE when we delete it from the Compute Resource - > VMs tab, but the host profile is intact.
6. Powering on/off the unmanaged host from Hosts page works.
7. Powering on/off the managed host from Hosts page works.
8. Reimporting the VM(that has host profile already from last unmanaged host) throws an error for name already taken, changing the name imports the VM with new name.
9. Error message is displayed when there is no host profile to associate with, while associating VM
10. All the tabs are displayed while importing the VM as managed.
11. Except for VM and OS tabs, all the tabs are displayed while importing the VM as unmanaged.
12. While importing the VM as managed and unmanaged host, the IP remains the same as its in GCE.

Comment 8 Bryan Kearney 2019-10-22 19:47:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.